# netif Struct Reference

`#include <netif.h>`

## Data Fields

ip_addr | gw
char | hwaddr [6]
err_t(* | input )(struct pbuf *p, struct netif *inp)
ip_addr | ip_addr
err_t(* | linkoutput )(struct netif *netif, struct pbuf *p)
char | name [2]
ip_addr | netmask
netif * | next
uInt8 | num
err_t(* | output )(struct netif *netif, struct pbuf *p, struct ip_addr *ipaddr)
void * | state

## Detailed Description

Definition at line 48 of file netif.h.

## Field Documentation

struct ip_addr netif::gw

Definition at line 53 of file netif.h.

Referenced by ethernetif_output().

char netif::hwaddr[6]

Definition at line 54 of file netif.h.

Referenced by ethernetif_init().

err_t(* netif::input)(struct pbuf *p, struct netif *inp)

Referenced by ethernetif_input(), and loopif_output().

struct ip_addr netif::ip_addr

Definition at line 51 of file netif.h.

Referenced by arp_arp_input(), arp_ip_input(), arp_query(), and ethernetif_output().

err_t(* netif::linkoutput)(struct netif *netif, struct pbuf *p)

Referenced by ethernetif_init().

char netif::name[2]

Definition at line 63 of file netif.h.

Referenced by ethernetif_init(), and loopif_init().

struct ip_addr netif::netmask

Definition at line 52 of file netif.h.

Referenced by arp_ip_input(), and ethernetif_output().

struct netif* netif::next

Definition at line 49 of file netif.h.

uInt8 netif::num

Definition at line 50 of file netif.h.

err_t(* netif::output)(struct netif *netif, struct pbuf *p, struct ip_addr *ipaddr)

Referenced by ethernetif_init(), and loopif_init().

void* netif::state

Definition at line 71 of file netif.h.

Referenced by ethernetif_init(), ethernetif_input(), ethernetif_output(), and low_level_init().

The documentation for this struct was generated from the following file:

- src/sys/include/net/netif.h